Đến nội dung


Hình ảnh
- - - - -

[help] Xin nhờ các cao thủ sửa hộ em cái lisp này với ạ


  • Please log in to reply
6 replies to this topic

#1 kaka105ht

kaka105ht

    biết vẽ circle

  • Members
  • PipPip
  • 30 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 14 November 2013 - 11:03 AM

em có cái lisp list tổng các chiều dài của các đường line or Pline. bây giờ em muốn sửa chút xíu, tức là sau khi mình kick vào các line để tổng hợp chiều dài lại xong mình kick vào 1 text nào đó nó sẽ hiện ra tổng chiều dài của mình trên text đó. ^^. mong các pro giúp đỡ 


  • 0

#2 cd2k44

cd2k44

    Edu level: li5

  • Members
  • PipPipPipPipPipPipPip
  • 648 Bài viết
Điểm đánh giá: 121 (tàm tạm)

Đã gửi 14 November 2013 - 11:15 AM

(defun Length1(e) (vlax-curve-getDistAtParam e (vlax-curve-getEndParam e)))
(defun C:AAO( / ss L e)
(princ "\nChon nhung doan can tinh chieu dai")
(setq
ss (ssget (list (cons 0 "LINE,ARC,CIRCLE,POLYLINE,LWPOLYLINE,ELLIPSE,SPLINE")))
L 0.0
)
(vl-load-com)
(while (setq e (ssname ss 0))
(setq L (+ L (length1 e)))
(ssdel e ss)
)
(setq tchon (strcase (getstring "\nTuy chon hien thi: Gan gia tri vao text (S), Ghi text (G), Thong bao (T)")))
(cond
((= tchon "T")
(alert (strcat "Tong chieu dai = " (rtos L 2 3))))
((= tchon "G")
(setq ddtext (getpoint "\nDiem dat text:"))
(setq kqtext (strcat "Tong chieu dai = " (rtos L 2 3)))
(command ".text" "BL" ddtext "" "" kqtext))
((= tchon "S")
(setq textgoc (entget (car (entsel "\nChon text muon sua: "))))
(setq textmoi (rtos L 2 2))
(setq textgoc (subst (cons 1 textmoi) (assoc 1 textgoc) textgoc))
(entmod textgoc))
)
)

Vì bạn không đưa lisp gốc lên nên không biết sửa cái gì cho bạn. Lisp này nguyên thủy của bác Sgcq trên cadviet.Mình thêm 3 tùy chọn cho phù hợp với yêu cầu của bạn. Hiện thông báo, hoặc ghi text, hoặc sửa text


  • 0

#3 kaka105ht

kaka105ht

    biết vẽ circle

  • Members
  • PipPip
  • 30 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 14 November 2013 - 11:55 AM

đây, lisp của e đây bác sửa giúp em với. lisp của bác gửi ko hiểu sao e ko dùng đc


  • 0

#4 kaka105ht

kaka105ht

    biết vẽ circle

  • Members
  • PipPip
  • 30 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 14 November 2013 - 11:57 AM

http://www.cadviet.c...chieu_daitg.lsp


  • 0

#5 kaka105ht

kaka105ht

    biết vẽ circle

  • Members
  • PipPip
  • 30 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 14 November 2013 - 11:58 AM

http://www.cadviet.c...ieu_daitg_1.lsp


  • 0

#6 cd2k44

cd2k44

    Edu level: li5

  • Members
  • PipPipPipPipPipPipPip
  • 648 Bài viết
Điểm đánh giá: 121 (tàm tạm)

Đã gửi 14 November 2013 - 12:11 PM

đây, lisp của e đây bác sửa giúp em với. lisp của bác gửi ko hiểu sao e ko dùng đc

Không dùng được thì báo lỗi.Bạn lại quên đưa lỗi lên đây rồi.Bạn cài express vào mới chạy được


  • 1

#7 kaka105ht

kaka105ht

    biết vẽ circle

  • Members
  • PipPip
  • 30 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 14 November 2013 - 03:07 PM

ah được rùi. thanks bác nhá :D


  • 0